gavl

Macros
Quality settings

Generic quality settings. More...

## Macros
#define | GAVL_QUALITY_FASTEST 1
| Fastest processing.
#define | GAVL_QUALITY_BEST 5
| Highest quality.
#define | GAVL_QUALITY_DEFAULT 2
| Default quality.

## Detailed Description

Generic quality settings.

Gavl allows multiple versions of each conversion routine. Optimized routines often have a worse precision, while highly accurate routines are too slow for live playback. Quality level 3 enables the standard ANSI-C versions, which are always available, or an optimized version of the same accuracy. Qualities 1 and 2 choose optimized versions which are less accurate. Qualities 4 and 5 enable high quality versions.

Not all routines are available for quality levels other than 3. In these cases, the quality will be ignored.

## Macro Definition Documentation

## ◆ GAVL_QUALITY_FASTEST

#define GAVL_QUALITY_FASTEST 1

Fastest processing.

Worst quality.

## ◆ GAVL_QUALITY_BEST

#define GAVL_QUALITY_BEST 5

Highest quality.

Slowest, may not work in realtime applications

## ◆ GAVL_QUALITY_DEFAULT

#define GAVL_QUALITY_DEFAULT 2

Default quality.

Default quality, most probably the choice for realtime playback applications.